Subject: Re: [bug#73242] [PATCH] gnu: guile-static-initrd: Remove (sxml) module hierarchy.

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Mon, 16 Sep 2024 12:11:28 +0000

Hi Andreas,

On 16 September 2024 11:53:16 UTC, Andreas Enge <[email-masked]> wrote:
>Am Sat, Sep 14, 2024 at 04:56:50AM +0200 schrieb Tobias Geerinckx-Rice:
>> If anything is ‘useless in an initrd’ it better be XML support.  As of
>> Guile 3.0.9, removing it saves 1418K bytes uncompressed, or 3% of the
>> total static Guile size.
>
>I do not know why I am in cc, having no particular knowledge of initrds;

Because you foolishly volunteered for the 'core packages' team covering (gnu packages make-bootstrap).  :-)

Since you bring it up: no, %guile-static-initrd doesn't particularly belong there.  It's there only to keep MAKE-GUILE-STATIC-STRIPPED private.

In fact I'd move it to (gnu system linux-initrd) if I choose to rewrite it to opt into modules rather than out of them.  That saves more than a few megabytes more, and boots fine, at the expense of not having them available at the 'early boot REPL'.

I'll see.

>but indeed I find your argument convincing, assuming you have tested to
>boot into the resulting system.

The patch was sent from one.  Thanks!

Kind regards,

T G-R

Sent on the go.  Excuse or enjoy my brevity.